Package org.jfree.layouting.input.style.parser.stylehandler

## Class AbstractWidthReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

- All Implemented Interfaces:
    `CSSValueReadHandler`
  Direct Known Subclasses:
    `BorderWidthReadHandler`, `BoxOffsetReadHandler`, `MarginReadHandler`, `MaxWidthAndHeightReadHandler`, `MinWidthAndHeightReadHandler`, `PaddingReadHandler`, `SizeReadHandler`, `WidthAndHeightReadHandler`, `XAndYReadHandler`

      public abstract class AbstractWidthReadHandler
      extends java.lang.Object
      implements CSSValueReadHandler

  Creation-Date: 27.11.2005, 21:16:17
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractWidthReadHandler​(boolean allowPercentages, boolean allowAuto)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSValue` | `createValue​(StyleKey name, org.w3c.css.sac.LexicalUnit value)` |
    `boolean` | `isAllowAuto​()` |
    `boolean` | `isAllowPercentages​()` |
    `protected CSSValue` | `parseWidth​(org.w3c.css.sac.LexicalUnit value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractWidthReadHandler

          protected AbstractWidthReadHandler​(boolean allowPercentages,
                                             boolean allowAuto)

  - ### Method Detail

    - #### isAllowPercentages

          public boolean isAllowPercentages​()

    - #### isAllowAuto

          public boolean isAllowAuto​()

    - #### createValue

          public CSSValue createValue​(StyleKey name,
                                      org.w3c.css.sac.LexicalUnit value)

      Specified by:
        `createValue` in interface `CSSValueReadHandler`

    - #### parseWidth

          protected CSSValue parseWidth​(org.w3c.css.sac.LexicalUnit value)